vmalloc
Prev | More Memory Management Functions | Next

## Name

vmalloc — allocate virtually contiguous memory

## Synopsis

`void * vmalloc (` | unsigned long | size`)`;

## Arguments

`size`

  allocation size Allocate enough pages to cover `size` from the page level allocator and map them into contiguous kernel virtual space.

## Description

For tight control over page level allocator and protection flags use `__vmalloc` instead.

Prev | Up | Next
vmap | Home | vmalloc_user